Bug 1371413

Summary: git-cola 2.7 fails to launch
Product: [Fedora] Fedora Reporter: Julien Enselme <jujens>
Component: git-colaAssignee: Nikos Roussos <comzeradd>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: comzeradd, davvid, jujens, oliver
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: git-cola-2.8-1.fc24 git-cola-2.8-1.fc25 git-cola-2.8-1.fc23 git-cola-2.8-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-05 01:50:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Julien Enselme 2016-08-30 07:47:41 UTC
Description of problem:
If I start git-cola from the desktop file, I get the view to select the git repositories. If I select one, git-cola crashes. If I try to launch it in the command line, I get the stacktracke listed below.


Version-Release number of selected component (if applicable): 2.1-1


How reproducible:

Steps to Reproduce:
1. In a terminal, launch git-cola


Actual results:
Traceback (most recent call last):
  File "/usr/bin/git-cola", line 56, in <module>
    sys.exit(main())
  File "/usr/share/git-cola/lib/cola/main.py", line 37, in main
    return args.func(args)
  File "/usr/share/git-cola/lib/cola/main.py", line 282, in cmd_cola
    view = MainView(context.model, settings=args.settings)
  File "/usr/share/git-cola/lib/cola/widgets/main.py", line 508, in __init__
    self.init_state(settings, self.set_initial_size)
  File "/usr/share/git-cola/lib/cola/widgets/standard.py", line 102, in init_state
    if not self.restore_state(settings=settings):
  File "/usr/share/git-cola/lib/cola/widgets/standard.py", line 57, in restore_state
    return bool(state) and self.apply_state(state)
  File "/usr/share/git-cola/lib/cola/widgets/main.py", line 651, in apply_state
    result = standard.MainWindow.apply_state(self, state)
  File "/usr/share/git-cola/lib/cola/widgets/standard.py", line 133, in apply_state
    from_base64(str(windowstate)),
TypeError: arguments did not match any overloaded call:
  fromBase64(Union[QByteArray, bytes, bytearray]): argument 1 has unexpected type 'str'
  fromBase64(Union[QByteArray, bytes, bytearray], Union[QByteArray.Base64Options, QByteArray.Base64Option]): argument 1 has unexpected type 'str'



Expected results:
git-cola restore the previous repository.

Comment 1 Oliver Haessler 2016-08-30 10:26:34 UTC
upstream bug opened:

https://github.com/git-cola/git-cola/issues/591

Comment 2 Oliver Haessler 2016-08-30 14:46:32 UTC
Hi  Julien,

can you please try http://koji.fedoraproject.org/koji/buildinfo?buildID=795655 to see if this fixes the start up issue?

Thanks
Oliver

Comment 3 Julien Enselme 2016-08-30 14:55:12 UTC
It works! Please push 2.8 to updates.

Comment 4 Fedora Update System 2016-08-30 15:10:19 UTC
git-cola-2.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddcbc2bb29

Comment 5 Fedora Update System 2016-08-30 15:10:35 UTC
git-cola-2.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71dd9f8e79

Comment 6 Fedora Update System 2016-08-30 15:10:43 UTC
git-cola-2.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1abb203f0b

Comment 7 Fedora Update System 2016-08-30 15:10:52 UTC
git-cola-2.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a7a87dccb

Comment 8 Fedora Update System 2016-08-31 15:19:01 UTC
git-cola-2.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddcbc2bb29

Comment 9 Fedora Update System 2016-08-31 16:23:52 UTC
git-cola-2.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a7a87dccb

Comment 10 Fedora Update System 2016-09-05 01:50:14 UTC
git-cola-2.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-13 18:10:28 UTC
git-cola-2.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-14 01:19:52 UTC
git-cola-2.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-11 06:19:52 UTC
git-cola-2.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.